Package org.postgresql.jdbcurlresolver

# Class PgServiceConfParser

java.lang.Object
org.postgresql.jdbcurlresolver.PgServiceConfParser

public class PgServiceConfParser extends Object
helps to read Connection Service File. https://www.postgresql.org/docs/current/libpq-pgservice.html

## Method Summary

Modifier and Type
Method
Description
`static @Nullable Properties`
`getServiceProperties(String serviceName)`
Read pg_service.conf resource

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getServiceProperties

public static @Nullable Properties getServiceProperties(String serviceName)
Read pg_service.conf resource

Parameters:
  `serviceName` - service name to search for
Returns:
  key value pairs